---
title: "Get decorations"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/decorations`

## Path parameters

- `id` (`entity-get-decorations.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/decorations'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/decorations';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/decorations"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "personnel": true,
    "references": true,
    "identifiers": true,
    "addresses": true,
    "portfolios": true,
    "verification": true,
    "qrCodes": true,
    "netsuite": true
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-get-decorations.response.200.data`; object, required)
  - `personnel` (`entity-get-decorations.response.200.data.personnel`; boolean, required)
  - `references` (`entity-get-decorations.response.200.data.references`; boolean, required)
  - `identifiers` (`entity-get-decorations.response.200.data.identifiers`; boolean, required)
  - `addresses` (`entity-get-decorations.response.200.data.addresses`; boolean, required)
  - `portfolios` (`entity-get-decorations.response.200.data.portfolios`; boolean, required)
  - `verification` (`entity-get-decorations.response.200.data.verification`; boolean, required)
  - `qrCodes` (`entity-get-decorations.response.200.data.qrCodes`; boolean, required)
  - `netsuite` (`entity-get-decorations.response.200.data.netsuite`; boolean, required)
- `meta` (`entity-get-decorations.response.200.meta`; object, optional)
  - `timestamp` (`entity-get-decorations.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.400.error`; object, required)
  - `code` (`entity-get-decorations.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.401.error`; object, required)
  - `code` (`entity-get-decorations.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.403.error`; object, required)
  - `code` (`entity-get-decorations.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.404.error`; object, required)
  - `code` (`entity-get-decorations.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.409.error`; object, required)
  - `code` (`entity-get-decorations.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.422.error`; object, required)
  - `code` (`entity-get-decorations.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.429.error`; object, required)
  - `code` (`entity-get-decorations.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.500.error`; object, required)
  - `code` (`entity-get-decorations.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-decorations.response.503.error`; object, required)
  - `code` (`entity-get-decorations.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-decorations.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-decorations.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-decorations.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-get-decorations/index.md
